
Foreman - Bug #35418

novnc not working with and without encryption

08/23/2022 03:38 PM - Thomas Lau

Status: Ready For Testing   

Priority: High   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9387,

https://github.com/theforeman/foreman-p

ackaging/pull/8421

  

Description

I am using Libvirt compute resources plugin on Foreman, when I click "Console" on each VM, I see "The connection was closed by

the browser. please verify that the certificate authority is valid"; So I disabled the websocket encryption, problem still the same so I

turned on debug mode, I got this error from firefox,

ws://host1.internal:5914

Error message: NS_ERROR_DOM_BAD_URI

History

#1 - 08/27/2022 04:25 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9387 added

#2 - 08/29/2022 10:03 AM - The Foreman Bot

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-packaging/pull/8421 added

#3 - 09/07/2022 02:18 PM - Ewoud Kohl van Wijngaarden

- Assignee deleted (Ewoud Kohl van Wijngaarden)

- Fixed in Releases deleted (3.5.0)

Please don't set Fixed in Releases, unless it's been resolved in that version.
